---
title: RTCRtpSendParameters.encodings
slug: Web/API/RTCRtpSendParameters/encodings
tags:
  - API
  - Codec
  - Configuration
  - Media
  - RTCRtpSendParameters
  - RTCRtpSender
  - RTP
  - Reference
  - Settings
  - WebRTC
  - WebRTC API
  - encodings
  - parameters
  - rtc
  - sender
---
<div>{{APIRef("WebRTC")}}</div>

<p>The {{domxref("RTCRtpSendParameters")}} dictionary's <code><strong>encodings</strong></code> property is an {{domxref("RTCRtpEncodingParameters")}} object providing configuration settings for the encoder being used for the {{domxref("RTCRtpSender")}}'s {{domxref("RTCRtpSender.track", "track")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>sendParameters</em>.encodings = <em>encodingParameterList</em>;

<em>encodingParameterList</em> = <em>sendParameters</em>.encodings;
</pre>

<h3 id="Value">Value</h3>

<p>An array of objects conforming to the {{domxref("RTCRtpEncodingParameters")}} dictionary, each of which contains properties which provide settings and parameters that describe and configure the codec used for a single destination. Each object's properties are:</p>

<p>{{page("/en-US/docs/Web/API/RTCRtpEncodingParameters", "Properties")}}</p>

<h2 id="Description">Description</h2>

<p>In a connection in which there's only one remote peer, the <code>encodings</code> array will have just one object in it, describing the encoding to use when transmitting to that peer. For each peer you add the {{domxref("RTCRtpSender")}} to, another entry is added to <code>encodings</code> to describe its configuration.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpsendparameters-encodings','RTCRtpSendParameters.encodings')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpSendParameters.encodings")}}</p>
